.r2-open-side-menu-wrapper,
.r2-open-side-menu,
#r2-close-side-menu {
    display: none;
}

@media (min-width: 1200px) {
	 /* link primo livello */
    #main .r2-mainmenu .megamenu>li>a {
        --raw-min-width: 1200;
        --raw-max-width: 1530;
        --min-width: calc(var(--raw-min-width) * 1px);
        --max-width: calc(var(--raw-max-width) * 1px);
        --raw-min-font-size: 12;
        --raw-max-font-size: 14;
        --min-font-size: calc(var(--raw-min-font-size) * 1px);
        --max-font-size: calc(var(--raw-max-font-size) * 1px);
        --raw-min-padding: 7;
        --raw-max-padding: 15;
        --min-padding: calc(var(--raw-min-padding) * 1px);
        --max-padding: calc(var(--raw-max-padding) * 1px);
        --ratio: calc((var(--max-width) - var(--min-width) - (var(--max-width) - clamp(var(--min-width), 100vw, var(--max-width)))) / (var(--raw-max-width) - var(--raw-min-width)));
        justify-content: center;
        height: 100%;
        padding: 15px;
        padding-left: calc(var(--min-padding) + (var(--raw-max-padding) - var(--raw-min-padding)) * var(--ratio));
        padding-right: calc(var(--min-padding) + (var(--raw-max-padding) - var(--raw-min-padding)) * var(--ratio));
        font-size: 15px;
        font-size: calc(var(--min-font-size) + (var(--raw-max-font-size) - var(--raw-min-font-size)) * var(--ratio));
        font-weight: 400;
        line-height: 1.4;
        color: #666;
        text-align: center;
        text-transform: uppercase;
        white-space: nowrap;
    }

    #main .r2-mainmenu .megamenu>li>a>.caret {
        display: none;
    }

    /* contenitore sottomenu esploso */
    #main .r2-mainmenu .megamenu>li>.dropdown-menu {
        margin: 0px -1px 0;
        padding: 15px 20px 15px;
        border: 0;
        border-top: 3px solid #7da665;
        border-radius: 15px;
        border-top-right-radius: 0;
        border-top-left-radius: 0;
    }

    /* posizione contenitore sottomenu esploso */
    #main .r2-mainmenu .megamenu>li:nth-child(5)>.dropdown-menu,
    #main .r2-mainmenu .megamenu>li:nth-child(6)>.dropdown-menu,
    #main .r2-mainmenu .megamenu>li:nth-child(7)>.dropdown-menu
    {
        left: 50%;
        transform: translateX(-50%);
    }
    #main .r2-mainmenu .megamenu>li:nth-child(8)>.dropdown-menu,
    #main .r2-mainmenu .megamenu>li:nth-child(9)>.dropdown-menu,
    #main .r2-mainmenu .megamenu>li:nth-child(10)>.dropdown-menu,
    #main .r2-mainmenu .megamenu>li:nth-child(11)>.dropdown-menu,
    #main .r2-mainmenu .megamenu>li:nth-child(12)>.dropdown-menu {
        left: auto;
        right: 0;
    }

    /* link secondo livello */
    #main .r2-mainmenu .dropdown-menu>ul>li {
        padding: 5px 15px;
    }

    #main .r2-mainmenu .dropdown-menu>ul>li>a {
        padding: 0px;
        font-size: 14px;
        font-weight: 400;
        text-transform: uppercase;
        color: #666;
		text-align:left;
    }

    #main .r2-mainmenu .dropdown-menu>ul>li>a:hover,
    #main .r2-mainmenu .dropdown-menu>ul>li>a:active,
    #main .r2-mainmenu .dropdown-menu>ul>li>a:focus {
        background: transparent;
        color: #7ea767;
    }

    /* decorazione link secondo livello */
    #main .r2-mainmenu .dropdown>.dropdown-menu>ul>li>a::after {
        content: "";
        display: block;
        width: 0;
        border-bottom: 1px solid #FFF;
        font-size: 0;
        transition: width 0.3s ease 0s;
    }

    #main .r2-mainmenu .dropdown>.dropdown-menu>ul>li>a:hover::after,
    #main .r2-mainmenu .dropdown>.dropdown-menu>ul>li>a:active::after,
    #main .r2-mainmenu .dropdown>.dropdown-menu>ul>li>a:focus::after {
        width: 100%;
    }

    /* terzo livello */
    #main .r2-mainmenu .dropdown-submenu .dropdown-menu>ul>li {
        padding: 0px;
    }

    #main .r2-mainmenu .dropdown-submenu .dropdown-menu>ul>li>a {
        padding: 5px 0;
        font-size: 13px;
        line-height: 1.3;
        font-weight: 400;
        text-transform: none;
        color: #7ea767;
    }

    #main .r2-mainmenu .dropdown-submenu .dropdown-menu>ul>li>a:hover,
    #main .r2-mainmenu .dropdown-submenu .dropdown-menu>ul>li>a:active,
    #main .r2-mainmenu .dropdown-submenu .dropdown-menu>ul>li>a:focus {
        color: #7ea767;
    }

    /* incolonnamento sottomenu */
    .megamenu .dropdown-menu.level1>ul {
        column-count: 4;
        column-fill: balance;
        column-gap: 0;
    }

    .megamenu .dropdown-menu.level1>ul.children1 {
        column-count: 1;
    }

    .megamenu .dropdown-menu.level1>ul.children2 {
        column-count: 2;
    }

    .megamenu .dropdown-menu.level1>ul.children3 {
        column-count: 3;
    }

    .megamenu .dropdown-menu.level1>ul>li {
        display: inline-block;
        /* width: 200px; */
    }

    .megamenu .dropdown-menu.level1>ul>li.dropdown-submenu>a>.caret {
        display: none;
    }

    .megamenu .dropdown-menu.level2 {
        display: block;
        position: static;
        float: none;
        left: auto;
        right: auto;
        top: auto;
        bottom: auto;
        border: 0;
        margin: 0;
        padding: 10px 0 15px;
        box-shadow: none;
    }
	
    .r2-mainmenu .megamenu {
        display: flex;
    }
    .r2-mainmenu .megamenu,
    .r2-mainmenu ul {
        padding: 0;
        list-style: none;
    }
    .r2-mainmenu .megamenu > li .dropdown-toggle .menu-title {
        display: inline-block;
        vertical-align: middle;
    }
    .r2-mainmenu .megamenu > li .dropdown-toggle .caret {
        margin-left: 10px;
    }
    .r2-mainmenu .megamenu > li > a {
        display: flex;
        align-items: center;
        height: 100%;
    }
    .r2-mainmenu .megamenu li a > i {
        margin-right: 5px;
    }
    .r2-mainmenu .megamenu li.dropdown > .dropdown-menu {
        pointer-events: none;
        display: block;
        min-width: 250px;
        opacity: 0;
        margin-top: 0;
        transition: opacity 0.3s ease 0s;
    }
    .r2-mainmenu .megamenu li.dropdown:hover > .dropdown-menu {
        pointer-events: initial;
        display: block;
        opacity: 1;
    }
    .r2-mainmenu .megamenu li.dropdown > .dropdown-menu a {
        display: block;
        padding: 3px 20px;
    }
}

@media (max-width: 1199px) {
    .r2-open-side-menu-wrapper,
    .r2-open-side-menu {
        display: inline-block;
    }

    .r2-open-side-menu {
        margin: 10px 0;
        padding: 10px 15px;
        background: #78a45c;
        border: 0;
        border-radius: 0;
        color: #fff;
        text-transform: uppercase;
        font-weight: 500;
        line-height: 1;
    }

    #r2-close-side-menu {
        display: block;
        position: sticky;
        top: 0;
        background: #78a45c;
        color: #ffffff;
        border: 0;
        padding: 15px 20px;
        width: 100%;
        font-size: 20px;
        text-align: right;
        z-index: 10;
    }

    .r2-mainmenu {
        float: none;
        position: fixed;
        left: 0;
        top: 0;
        height: 100vh;
        width: 320px;
        overflow-y: auto;
        margin: 0;
        background: #fff;
        font-size: 14px;
        z-index: 20;
        transform: translateX(-320px);
    }
    .r2-wrapper {
        transition: transform 0.5s ease-in-out;
    }
    .r2-wrapper::before {
        content: "";
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.75);
        z-index: 400;
        opacity: 0;
        visibility: hidden;
        transition: all 0.5s ease-in-out;
    }
    .r2-side-menu-open {
        overflow: hidden;
    }
    .r2-side-menu-open .r2-wrapper {
        transform: translateX(320px);
    }
    .r2-side-menu-open .r2-wrapper::before {
        opacity: 1;
        visibility: visible;
    }
    .r2-mainmenu .megamenu {
        display: block;
        float: none;
        margin: 0;
        padding: 0 0 75px 0;
    }
    .r2-mainmenu .megamenu * {
        display: block;
        position: static;
        left: auto;
        right: auto;
        top: auto;
        bottom: auto;
        float: none;
        margin: 0;
        padding: 0;
        min-width: auto;
        min-height: auto;
        width: auto;
        height: auto;
        border: 0;
        border-radius: 0;
        background: transparent;
        box-shadow: none;
        font-size: 14px;
        text-align: left;
        text-decoration: none;
        z-index: auto;
    }
    .r2-mainmenu .megamenu .fa,
    .r2-mainmenu .megamenu .fas,
    .r2-mainmenu .megamenu .fal,
    .r2-mainmenu .megamenu .far {
        display: inline-block;
    }
    .r2-mainmenu .megamenu .menu-title br {
        display: none;
    }
    .r2-mainmenu .megamenu ul,
    .r2-mainmenu .megamenu li,
    .r2-mainmenu .megamenu a {
        display: block;
    }
    .r2-mainmenu .megamenu .dropdown-menu {
        display: none;
    }
    .r2-mainmenu .megamenu .open > .dropdown-menu {
        display: block;
    }
    .r2-mainmenu .megamenu li {
        display: block;
    }
    .r2-mainmenu .megamenu li {
        border-bottom: 1px solid #ccc;
    }
    .r2-mainmenu .megamenu li:last-child {
        border-bottom: 0;
    }
    .r2-mainmenu .megamenu li a,
    .r2-mainmenu .megamenu li.open a {
        display: flex;
        align-items: center;
        position: relative;
        background: #fff;
        color: #666;
        padding: 15px 25px;
        text-shadow: none;
    }
    .r2-mainmenu .megamenu li:not(.promo-menu-link) a:hover,
    .r2-mainmenu .megamenu li.open a:hover {
        color: #78a45c;
    }
    .r2-mainmenu .megamenu li a i {
        margin-right: 5px;
    }
    .r2-mainmenu .megamenu .menu-title {
        display: inline-block;
        width: 100%;
    }
    .r2-mainmenu .megamenu .caret {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        height: 100%;
        width: 50px;
        margin: 0;
        border: 0;
        text-align: center;
        line-height: 50px;
    }
    .r2-mainmenu .megamenu .caret::before {
        content: "+";
        display: block;
        position: relative;
        top: 50%;
        font-family: sans-serif;
        font-size: 22px;
        line-height: 1em;
        text-align: center;
        transform: translatey(-50%);
    }
    .r2-mainmenu .megamenu .open > a > .caret::before {
        content: "−";
    }
    .r2-mainmenu .megamenu .open {
        background: #999999;
    }
    .r2-mainmenu .megamenu .open > .dropdown-menu {
        border-top: 1px solid #78a45c;
        border-left: 10px solid #78a45c;
    }
}
